# Automatic Processor Options

Annotation processor options are configured in the Annotation Processing preference dialog. Certain options are automatically provided to processors using the Java 5 Mirror API; entering them in the Annotation Processing preference dialog will have no effect, since the automatically provided values will override any values set there. The automatic options include the following:

-classpath
  The compiler classpath. All entries are absolute paths, not workspace-relative.
-sourcepath
  The compiler source path. All entries are absolute paths, not workspace-relative.
-d
  The absolute path of the compiler binary output directory, into which .class files are built.
-s
  The absolute path of the generated source directory, into which annotation processors will generate files.
-source
  The compiler -source option. Typically a string such as "5.0".
-target
  The compiler -target option. Typically a string such as "5.0".
phase
  The string `RECONCILE`, `BUILD`, or `OTHER`, depending on whether the processor has been called during editing, during a build, or outside the context of compilation, respectively. This option is only provided when running in the Eclipse IDE.

Except for `phase`, there are no automatically provided options for processors using the Java 6 annotation processing API, because the JavaFileManager methods provide the same functionality.